# This file is part of the Grid LSC User Environment (GLUE)
#
# GLUE is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

version = '3.0.1'

# git information
id = 'c66c83d9262f44d1b394eecbf2fc6420b5972404'
date = '2022-01-24 17:10:29 +0000'
branch = None
tag = None
author = 'Duncan Macleod <duncan.macleod@ligo.org>'
builder = 'Unknown User <>'
committer = 'GitHub <noreply@github.com>'
status = 'UNCLEAN: Modified working tree'
verbose_msg = """Branch: None
Tag: None
Id: c66c83d9262f44d1b394eecbf2fc6420b5972404

Builder: Unknown User <>
Build date: 2022-01-24 17:26:45 +0000
Repository status: UNCLEAN: Modified working tree"""

import warnings

class VersionMismatchError(ValueError):
    pass

def check_match(foreign_id, onmismatch="raise"):
    """
    If foreign_id != id, perform an action specified by the onmismatch
    kwarg. This can be useful for validating input files.

    onmismatch actions:
      "raise": raise a VersionMismatchError, stating both versions involved
      "warn": emit a warning, stating both versions involved
    """
    if onmismatch not in ("raise", "warn"):
        raise ValueError(onmismatch + " is an unrecognized value of onmismatch")
    if foreign_id == 'c66c83d9262f44d1b394eecbf2fc6420b5972404':
        return
    msg = "Program id (c66c83d9262f44d1b394eecbf2fc6420b5972404 does not match given id (%s)." % foreign_id
    if onmismatch == "raise":
        raise VersionMismatchError(msg)

    # in the backtrace, show calling code
    warnings.warn(msg, UserWarning)

